//
// Message Catalog for Acord parser
//
// Header Section
// Common Message Section... Message numbers 1-99
//
//  Values are 32 bit values layed out as follows:
//
//   3 3 2 2 2 2 2 2 2 2 2 2 1 1 1 1 1 1 1 1 1 1
//   1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0
//  +---+-+-+-----------------------+-------------------------------+
//  |Sev|C|R|     Facility          |               Code            |
//  +---+-+-+-----------------------+-------------------------------+
//
//  where
//
//      Sev - is the severity code
//
//          00 - Success
//          01 - Informational
//          10 - Warning
//          11 - Error
//
//      C - is the Customer code flag
//
//      R - is a reserved bit
//
//      Facility - is the facility code
//
//      Code - is the facility's status code
//
//
// Define the facility codes
//


//
// Define the severity codes
//


//
// MessageId: ACORD_NO_MHG
//
// MessageText:
//
//  (%1!s!) No Message Header Group found
//
#define ACORD_NO_MHG                     ((int)0xCFFF000AL)

//
// MessageId: ACORD_NO_MTG
//
// MessageText:
//
//  (%1!s!) No Message Trailer Group found
//
#define ACORD_NO_MTG                     ((int)0xCFFF000BL)

//
// MessageId: ACORD_NO_TRG
//
// MessageText:
//
//  (%1!s!) No Transaction Header Group found
//
#define ACORD_NO_TRG                     ((int)0xCFFF000CL)

//
// MessageId: CCILOG_MSG
//
// MessageText:
//
//  (%1!s!) Message logged (%2!s!)
//
#define CCILOG_MSG                       ((int)0x8FFF000DL)

//
// MessageId: ACORD_BAD_LENGTH
//
// MessageText:
//
//  (%1!s!) Invalid length (%2!s!) in group header (bytes 4-6) for segment (%3!s!) offset (%4!s!)
//
#define ACORD_BAD_LENGTH                 ((int)0xCFFF0014L)

//
// MessageId: ACORD_LENGTH_ERR
//
// MessageText:
//
//  (%1!s!) Message length (%2!s!) does not match sum of group lengths (%3!s!)
//
#define ACORD_LENGTH_ERR                 ((int)0xCFFF0015L)

//
// MessageId: ACORD_BAD_ID
//
// MessageText:
//
//  (%1!s!) Group identifier (%2!s!) is invalid
//
#define ACORD_BAD_ID                     ((int)0xCFFF0016L)

//
// MessageId: ACORD_META_NOT_FOUND
//
// MessageText:
//
//  (%1!s!) Meta Data file not found for (%2!s!) at offset (%3!s!)
//
#define ACORD_META_NOT_FOUND             ((int)0xCFFF0017L)

//
// MessageId: ACORD_SEGMENT_LENGTH_BAD
//
// MessageText:
//
//  (%1!s!) Group length (%2!s!) does not match metadata length (%3!s!) for segment (%4!s!) offset (%5!s!)
//
#define ACORD_SEGMENT_LENGTH_BAD         ((int)0xCFFF0018L)

//
// MessageId: ACORD_MGMT_TOO_SHORT
//
// MessageText:
//
//  (%1!s!) Management message is too short (%2!s!)
//
#define ACORD_MGMT_TOO_SHORT             ((int)0xCFFF0019L)

// End of message data