/*****************************************************************/
/*                                                               */
/*  Definitions for statistics file layout.                      */
/*                                                               */
/*****************************************************************/

typedef struct {
	int	version;				// Statistics file version number
	int startTimeHigh;			// Time parser started (high word)
	int startTimeLow;			// Time parser started (low word)
	int	endTimeHigh;			// Time parser stopped (high word)
	int	endTimeLow;				// Time parser stopped (low word)
	int	messageCount;			// Number of input messages processed
	int	segmentCount;			// Number of group segments processed
	int	writeCount;				// Number of cpiWriteBuffer calls processed
	int	compressMsgs;			// Number of compressed messages processed    
	int	badMessageCount;		// Number of invalid messages rejected
	int	totalBytes;				// Number of bytes in all input messages processed
	int	maxMessage;				// Largest input message processed
	int	minMessage;				// Smallest input message processed
	int	totalWritten;			// Number of bytes written
	int	maxWriteLength;			// Largest message written
	int	minWriteLength;			// Smallest message written
	int	totalParseTime;			// Total parsing time in milliseconds
	int	totalWriteTime;			// Total time to build a buffer in milliseconds
	int	maxParseTime;			// Maximum time to parse a message
	int	minParseTime;			// Minimum time to parse a message
	int	maxWriteTime;			// Maximum time to build a buffer
	int	minWriteTime;			// Minimum time to build a buffer
	int useCounter;				// Counter for least recently used meta data files
	int filesOpened;			// files added to cache
	int filesRemoved;			// files removed from cache
	int filesMax;				// Maximum number of files in cache
	int displayTruncated;		// Number of display fields truncated
	int numericTruncated;		// Number of numeric fields truncated
} STAT_REC;